OPSI 4.0.2 auf UCS 3 installieren Fehler

german

#1

Hallo

Ich erkläre hier erstmal die Struktur die ich bis jetzt aufgebaut habe. Für ein Schulprojekt setze ich einen UCS Server mit dem Erweiterungspaket OPSI4 auf. Im Mittelpunkt steht ein mit ESX laufender Server auf dem sich alle Virtuellen Maschinen befinden. Dort läuft der Master Server über den alle Slaves angeschlossen sind. Auf dem Master läuft auch der LDAP Dienst. OPSI4 soll in dem System auf einem der Slaves installiert werden.

Ich bin soweit der Anleitung gefolgt und habe die 4 Pakete installiert und alle Einstellungen übernommen.

http://download.uib.de/opsi4.0/doc/html/opsi-getting-started/opsi-getting-started.html#opsi-getting-started-installation-base-ucs
Unterpunkt “3.1.3. Installation auf einem Univention Corporate Server (UCS)”

Bei der installation des ersten Pakets ist nur ein Fehler aufgetreten der den Fehlschlag bei der initialisierung des LDAP besagt. Da dieser auf dem Master läuft und soweit ich das verstanden habe auch nicht von nöten ist da wohl bei der neusten Version auf MySQL gesetzt wird, habe ich diesen Fehler fürs erste ignoriert. Nach der installation ist mir ein weiterer Fehler aufgefallen.

[code]root@ucsslyve17:~# /etc/init.d/opsiconfd restart
Stopping opsi config service… (not running).
Starting opsi config service… (done).

  WARNING: User opsiconfd lacks read permission for /etc/shadow.
           PAM authentication will fail.[/code]

Darunter verstehe ich das der Dienst nicht gestartet werden kann weil etwas in den permissions o.ä. nicht stimmt.
Auch das manuelle starten des Dienstes schlägt fehl.
Das Resultat ist soweit ich das beurteilen kann, dass ich nicht auf die Konfigurationsoberfläche von OPSI4 komme. Diese wird zwar mit einer Verlinkung im UCS Browser Menü angezeigt, führt aber ins Leere.

[ul]Ein Zugriff auf den Server ist nicht möglich.

Die von Ihnen aufgerufene Adresse *..local:4447/configed.jnlp ist zurzeit nicht erreichbar. Bitte überprüfen Sie die korrekte Schreibweise der Webadresse (URL) und versuchen Sie dann die Seite neu zu laden.[/ul]

Dazu ist noch zu sagen das ich das erste mal mit UCS arbeite und soit wenig Erfahrung habe. Falls jemand das problem erkennt würde ich mich sehr über hilfe freuen :slight_smile:

Falls noch fragen auftauchen oder ich etwas vergessen habe bitte nachfragen. Ich bin auch per E-Mail den ganzen Tag erreichbar.

Danke schon einmal im voraus :slight_smile:


#2

Ich habe noch mal genau nachgesehen und 2 Mögliche Fehlerquellen gefunden… Zum einen ist die Datei configed.jnlp aus der Adresse “https://ucsslyve17.bbs-bingen.local:4447/configed.jnlp” garnicht existent. Zum anderen habe ich in einem Anderen Forum gelesen das sie annehmen, dass der Fehler mit Java zusammenhängt. Ich stöbere noch weiter, aber im Moment habe ich noch keine Lösung gefunden.

Hilfe :slight_smile: ?


#3

Siehe: https://forum.opsi.org/viewtopic.php?f=7&t=4224